void sendrf() {
    // send
    digitalWrite(LED,LOW);
    // Send a message to rf22_server
    uint8_t data[9]={0,0,0,0,0,0,0,0,0};
    for(int i=7;i>=0;i--) {
      data[i]=status_click[7-i];      
    }
    rf22.send(data, sizeof(data));
    rf22.waitPacketSent();
    digitalWrite(LED,HIGH);
    //*******
    // Now wait for a reply
    uint8_t buf[RF22_MAX_MESSAGE_LEN];
    uint8_t len = sizeof(buf);

    if (rf22.waitAvailableTimeout(1000))
    { 
      // Should be a message for us now   
      if (rf22.recv(buf, &len))
      { 
        Serial.print("got reply: ");
        Serial.println((char*)buf);
        for(int i=0;i<6;i++) {
           status_click[i]=buf[i];
        }
        showdisplay(buf);
        if(change==true)
            writeDataEEPROM(); 
      }
      else
      {
        Serial.println("recv failed");
        display.showNumberDec(9999, true); // Error
      }
    }
    else
    {
      Serial.println("No reply, is rf22_server running?");
      display.showNumberDec(8888, true); // Error
    }

    //***
    change=false;
    //for(int i=0;i<10;i++) {
    //  status_click[i]=48;      
    //}  
}
